const GOODS_URI = require("../config.js").GOODS_URI;
const req = require("../utils/request").httpReq;

/** 
 * 示例
 *  exports.方法名 = async ctx => {
 *    const url = `${设置好的域名}/向服务端发送的请求地址`;
 *    const opts = {
 *      url,
 *      method:"发送什么请求"，
 *      qs: ctx.request.query （get请求的参数）
 *      body：ctx.request.body （post请求的参数）
 *      json：boolean (是否转换为json)
 *    };
 *    ctx.body = await req(ctx,opts); 将发送请求后的数据传递给前端页面
 *  };
 */

exports.getCategoryList = async ctx => {
  const url = `${GOODS_URI}/goods/background/get_goods_category_list`;
  const opts = {
    url,
    method: "GET",
  };
  ctx.body = await req(ctx, opts);
};
// 营销活动列表
exports.getMarketingList = async ctx => {
  const url = `${GOODS_URI}/marketing/background/marketing_list`;
  const opts = {
    url,
    method: "POST",
    json: true,
    body: ctx.request.body
  };
  const res = await req(ctx, opts);
  console.log(res);
  ctx.body = res;
};
// 获取查询活动列表
exports.getFindGoodsList = async ctx =>{
  const url = `${GOODS_URI}/marketing/background/goods_list`;
  const opts = {
    url,
    method: "POST",
    json: true,
    body: ctx.request.body
  };
  const res = await req(ctx, opts);
  ctx.body = res;
};
// 添加活动列表
exports.getAddMarketingList = async ctx => {
  const url = `${GOODS_URI}/marketing/background/add_marketing`;
  const opts = {
    url,
    method: "POST",
    json: true,
    body: ctx.request.body
  };
  const res = await req(ctx, opts);
  ctx.body = res;
};
// 查看列表详情
exports.getMarketingInfo = async ctx => {
  const url = `${GOODS_URI}/marketing/background/marketing_info`;
  const opts = {
    url,
    method: "POST",
    json: true,
    body: ctx.request.body
  };
  const res = await req(ctx, opts);
  ctx.body = res;
};
// 开启关闭状态
exports.updateMarketingList = async ctx => {
  const url = `${GOODS_URI}/marketing/background/update_marketing`;
  const opts = {
    url,
    method: "POST",
    json: true,
    body: ctx.request.body
  };
  const res = await req(ctx, opts);
  ctx.body = res;
};
